// Beispiel Label, TextField

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.event.*;

public class TextFieldTest extends JFrame {
   private Listener listener ;
   private JTextField t1, t2 ;
   
   public TextFieldTest() {
      super("Textfeld-Test");
      setSize(500,300);
      setLayout(new FlowLayout());
      Container cp = getContentPane();
      cp.add(new JLabel("Texteingabe: ")) ;

      t1 = new JTextField(30);
      
      // Listener fr das Textfeld instanziieren und registrieren
      listener = new Listener() ;
      t1.addActionListener(listener) ;
      t1.getDocument().addDocumentListener(listener) ;
      cp.add(t1);

      cp.add(new JLabel("Textausgabe: ")) ;
      t2 = new JTextField(30);
      cp.add(t2);

      setVisible(true);

      // WindowListener instanziieren und registrieren (anonyme Klasse)
      addWindowListener(new WindowAdapter() {
         public void windowClosing(WindowEvent e) {
            setVisible(false);
            dispose();
            System.exit(0);
         }
      } );
   }

   public class Listener implements DocumentListener, ActionListener {
      public void insertUpdate(DocumentEvent e) {
         System.out.println("Text eingefgt!");
      }
      public void removeUpdate(DocumentEvent e) {
         System.out.println("Text gelscht!");
      }
      public void changedUpdate(DocumentEvent e) {
         System.out.println("passiert etwas?");
      }
      
      public void actionPerformed(ActionEvent e) {
         t2.setText(t1.getText());
      }
   }
   public static void main(String[] args) {
      TextFieldTest t = new TextFieldTest();
   }
}
